diff --git a/aqua/qt5/Portfile b/aqua/qt5/Portfile
index 60680040ed..1c23006406 100644
--- a/aqua/qt5/Portfile
+++ b/aqua/qt5/Portfile
@@ -14,6 +14,7 @@ license             {LGPL-3 GPL-3 OpenSSLException}
 homepage            https://www.qt.io
 
 version             5.11.2
+revision            1
 set middle_name     everywhere
 if { ${subport} eq "${name}-qtwebkit" ||
      ${subport} eq "${name}-qtwebkit-examples" ||
diff --git a/aqua/qt55/Portfile b/aqua/qt55/Portfile
index bf112c3969..f2bc526455 100644
--- a/aqua/qt55/Portfile
+++ b/aqua/qt55/Portfile
@@ -14,6 +14,7 @@ license             {LGPL-2.1 LGPL-3 GPL-3 OpenSSLException}
 homepage            https://www.qt.io
 
 version             5.5.1
+revision            1
 
 set just_want_qt5_variables yes
 PortGroup qt5 1.0
diff --git a/aqua/qt56/Portfile b/aqua/qt56/Portfile
index 40e159a1b3..45f5dc14c0 100644
--- a/aqua/qt56/Portfile
+++ b/aqua/qt56/Portfile
@@ -14,6 +14,7 @@ license             {LGPL-2.1 LGPL-3 GPL-3 OpenSSLException}
 homepage            https://www.qt.io
 
 version             5.6.3
+revision            1
 
 set just_want_qt5_variables yes
 PortGroup qt5 1.0
diff --git a/aqua/qt57/Portfile b/aqua/qt57/Portfile
index 8fb51240b8..9e8a366b01 100644
--- a/aqua/qt57/Portfile
+++ b/aqua/qt57/Portfile
@@ -14,6 +14,7 @@ license             {LGPL-3 GPL-3 OpenSSLException}
 homepage            https://www.qt.io
 
 version             5.7.1
+revision            1
 
 set just_want_qt5_variables yes
 PortGroup qt5 1.0
diff --git a/aqua/qt58/Portfile b/aqua/qt58/Portfile
index 724fa47b74..f0e04e70c5 100644
--- a/aqua/qt58/Portfile
+++ b/aqua/qt58/Portfile
@@ -14,6 +14,7 @@ license             {LGPL-3 GPL-3 OpenSSLException}
 homepage            https://www.qt.io
 
 version             5.8.0
+revision            1
 
 set just_want_qt5_variables yes
 PortGroup qt5 1.0
diff --git a/aqua/qt59/Portfile b/aqua/qt59/Portfile
index f37c4282e8..d5c94ca4dc 100644
--- a/aqua/qt59/Portfile
+++ b/aqua/qt59/Portfile
@@ -14,6 +14,7 @@ license             {LGPL-3 GPL-3 OpenSSLException}
 homepage            https://www.qt.io
 
 version             5.9.6
+revision            1
 if { ${subport} eq "${name}-qtwebkit" ||
      ${subport} eq "${name}-qtwebkit-examples" ||
      ${subport} eq "${name}-qtwebkit-docs" } {
diff --git a/audio/ncmpcpp/Portfile b/audio/ncmpcpp/Portfile
index a400999d3a..42b7979e99 100644
--- a/audio/ncmpcpp/Portfile
+++ b/audio/ncmpcpp/Portfile
@@ -6,6 +6,7 @@ PortGroup           cxx11 1.1
 
 name                ncmpcpp
 version             0.8.2
+revision            1
 categories          audio
 maintainers         {lbschenkel @lbschenkel} openmaintainer
 description         an ncurses mpd client inspired by ncmpc
diff --git a/databases/couchdb-devel/Portfile b/databases/couchdb-devel/Portfile
index a5d632d855..5bdc180892 100644
--- a/databases/couchdb-devel/Portfile
+++ b/databases/couchdb-devel/Portfile
@@ -6,7 +6,7 @@ PortGroup               active_variants 1.1
 name                    couchdb-devel
 conflicts               couchdb
 version                 1.4.0a-20130330
-revision                4
+revision                5
 
 categories              databases
 platforms               darwin
diff --git a/databases/couchdb/Portfile b/databases/couchdb/Portfile
index 9cf2211d70..c011870f45 100644
--- a/databases/couchdb/Portfile
+++ b/databases/couchdb/Portfile
@@ -7,6 +7,7 @@ PortGroup               conflicts_build 1.0
 name                    couchdb
 conflicts               couchdb-devel
 version                 1.7.1
+revision                1
 
 categories              databases
 platforms               darwin
diff --git a/databases/openldap/Portfile b/databases/openldap/Portfile
index 79c07d6444..8c455b6e2e 100644
--- a/databases/openldap/Portfile
+++ b/databases/openldap/Portfile
@@ -5,6 +5,7 @@ PortGroup muniversal 1.0
 
 name            openldap
 version         2.4.46
+revision        1
 categories      databases
 maintainers     nomaintainer
 license         openldap
diff --git a/databases/pazpar2/Portfile b/databases/pazpar2/Portfile
index d7fd1032b3..1d96e96de9 100644
--- a/databases/pazpar2/Portfile
+++ b/databases/pazpar2/Portfile
@@ -4,7 +4,7 @@ PortSystem          1.0
 
 name                pazpar2
 version             1.12.5
-revision            1
+revision            2
 categories          databases net www devel
 license             GPL-2+
 platforms           darwin
diff --git a/databases/zebra/Portfile b/databases/zebra/Portfile
index 42b7a1d630..85e75c95e4 100644
--- a/databases/zebra/Portfile
+++ b/databases/zebra/Portfile
@@ -4,7 +4,7 @@ PortSystem          1.0
 
 name                zebra
 version             2.0.62
-revision            1
+revision            2
 categories          databases net www devel
 license             GPL-2+
 platforms           darwin
diff --git a/devel/boost/Portfile b/devel/boost/Portfile
index 2dcb576e44..7edf9ba3f0 100644
--- a/devel/boost/Portfile
+++ b/devel/boost/Portfile
@@ -277,7 +277,7 @@ subport boost-numpy {
 }
 
 if {$subport eq $name} {
-    revision 3
+    revision 4
     patchfiles-append patch-disable-numpy-extension.diff
 
     variant regex_match_extra description \
diff --git a/devel/icu-le-hb/Portfile b/devel/icu-le-hb/Portfile
index 3da793bd38..65ad36f3b3 100644
--- a/devel/icu-le-hb/Portfile
+++ b/devel/icu-le-hb/Portfile
@@ -4,6 +4,7 @@ PortSystem          1.0
 PortGroup           github 1.0
 
 github.setup        behdad icu-le-hb 1.0.3
+revision            1
 categories          devel textproc
 platforms           darwin
 maintainers         {ryandesign @ryandesign} openmaintainer
diff --git a/devel/icu/Portfile b/devel/icu/Portfile
index 308b56479f..078bac6e20 100644
--- a/devel/icu/Portfile
+++ b/devel/icu/Portfile
@@ -1,6 +1,7 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
 
 PortSystem      1.0
+PortGroup       cxx11 1.1
 
 name            icu
 set my_name     icu4c
@@ -8,8 +9,7 @@ set my_name     icu4c
 # whenever the library version number changes. Thanks.
 # To find dependencies, use:
 # port file all | sort -u | xargs grep -El ':icu( |$)' | rev | cut -d / -f 2 | rev | sort -u
-version                     58.2
-# Don't update to 59 or later because they require C++11
+version         63.1
 categories      devel textproc
 platforms       darwin freebsd
 maintainers                 {ryandesign @ryandesign} openmaintainer
@@ -29,8 +29,9 @@ master_sites    http://download.icu-project.org/files/${my_name}/${version}/
 distname        ${my_name}-[join [split ${version} .] _]
 extract.suffix              .tgz
 distfiles                   ${distname}-src${extract.suffix}
-checksums                   rmd160  df06e7b18a87e383d3762564f2e9a59fd75865f9 \
-                            sha256  2b0a4410153a9b20de0e20c7d8b66049a72aef244b53683d0d7521371683da0c
+checksums                   rmd160  5c895a6e2b135978df59e135ed772747aec0065f \
+                            sha256  05c490b69454fce5860b7e8e2821231674af0a11d7ef2febea9a32512998cb9d \
+                            size    23746939
 
 worksrcdir      ${name}/source
 set docdir      ${prefix}/share/doc/${name}
@@ -48,9 +49,10 @@ subport ${name}-docs {
     long_description-append Documentation.
     
     use_zip             yes
-    distfiles               ${distname}-docs${extract.suffix}
-    checksums               rmd160  64c9385c43f994d283a38980c77638dc061bfe84 \
-                            sha256  dc17983debc1f23f1bd1ac1ba053f2df5b07858f5af9bd48eeb3b8044c8d3146
+    distfiles           ${distname}-docs${extract.suffix}
+    checksums           rmd160  4b967a4da3a91b44c3b1a208a88a6589f3009f67 \
+                        sha256  babb80ebad077c9e6105039657a7396812abe6818637637dab8ad4335562b763 \
+                        size    7444605
 
     extract.dir         ${worksrcpath}/doc/html
 
@@ -79,7 +81,7 @@ subport ${name}-doxygen-docs {
 }
 
 subport ${name}-lx {
-    revision                0
+    revision                1
     # http://userguide.icu-project.org/layoutengine/paragraph
     description             ICU paragraph layout library
     long_description        ${description}
@@ -94,7 +96,7 @@ subport ${name}-lx {
 }
 
 if {${subport} eq ${name}} {
-    revision                2
+    revision                0
 }
 
 if { ${subport} ne "${name}-docs" } {
@@ -103,8 +105,6 @@ if { ${subport} ne "${name}-docs" } {
     }
     
     patchfiles-append   patch-config-mh-darwin.diff
-    patchfiles-append   CVE-2017-7867-CVE-2017-7868.patch
-    patchfiles-append   CVE-2017-14952.patch
     
     # ICU has three mechanisms to aid other projects in building properly
     #     1) .pc files for pkg-config
diff --git a/devel/icu/files/CVE-2017-14952.patch b/devel/icu/files/CVE-2017-14952.patch
deleted file mode 100644
index 7e6abc97ae..0000000000
--- a/devel/icu/files/CVE-2017-14952.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14952
-http://bugs.icu-project.org/trac/changeset/40324
---- i18n/zonemeta.cpp.orig	2016-06-15 18:58:17.000000000 +0000
-+++ i18n/zonemeta.cpp	2017-10-24 01:32:39.000000000 +0000
-@@ -683,7 +683,6 @@
-                     mzMappings = new UVector(deleteOlsonToMetaMappingEntry, NULL, status);
-                     if (U_FAILURE(status)) {
-                         delete mzMappings;
--                        deleteOlsonToMetaMappingEntry(entry);
-                         uprv_free(entry);
-                         break;
-                     }
diff --git a/devel/icu/files/CVE-2017-7867-CVE-2017-7868.patch b/devel/icu/files/CVE-2017-7867-CVE-2017-7868.patch
deleted file mode 100644
index 335d4a59c6..0000000000
--- a/devel/icu/files/CVE-2017-7867-CVE-2017-7868.patch
+++ /dev/null
@@ -1,156 +0,0 @@
-https://nvd.nist.gov/vuln/detail/CVE-2017-7867
-https://nvd.nist.gov/vuln/detail/CVE-2017-7868
-http://bugs.icu-project.org/trac/ticket/12888
-http://bugs.icu-project.org/trac/changeset/39671
---- common/utext.cpp.orig	2016-06-15 13:58:17.000000000 -0500
-+++ common/utext.cpp	2017-05-25 21:51:47.000000000 -0500
-@@ -848,9 +848,16 @@
- 
- // Chunk size.
--//     Must be less than 85, because of byte mapping from UChar indexes to native indexes.
--//     Worst case is three native bytes to one UChar.  (Supplemenaries are 4 native bytes
--//     to two UChars.)
-+//     Must be less than 42  (256/6), because of byte mapping from UChar indexes to native indexes.
-+//     Worst case there are six UTF-8 bytes per UChar.
-+//         obsolete 6 byte form fd + 5 trails maps to fffd
-+//         obsolete 5 byte form fc + 4 trails maps to fffd
-+//         non-shortest 4 byte forms maps to fffd
-+//         normal supplementaries map to a pair of utf-16, two utf8 bytes per utf-16 unit
-+//     mapToUChars array size must allow for the worst case, 6.
-+//     This could be brought down to 4, by treating fd and fc as pure illegal,
-+//     rather than obsolete lead bytes. But that is not compatible with the utf-8 access macros.
- //
- enum { UTF8_TEXT_CHUNK_SIZE=32 };
-+enum { SIZEOF_MAPTOUCHARS=UTF8_TEXT_CHUNK_SIZE*6+6 };
- 
- //
-@@ -890,5 +897,5 @@
-                                                      //    one for a supplementary starting in the last normal position,
-                                                      //    and one for an entry for the buffer limit position.
--    uint8_t   mapToUChars[UTF8_TEXT_CHUNK_SIZE*3+6]; // Map native offset from bufNativeStart to
-+    uint8_t   mapToUChars[SIZEOF_MAPTOUCHARS];       // Map native offset from bufNativeStart to
-                                                      //   correspoding offset in filled part of buf.
-     int32_t   align;
-@@ -1033,4 +1040,5 @@
-             u8b = (UTF8Buf *)ut->p;   // the current buffer
-             mapIndex = ix - u8b->toUCharsMapStart;
-+            U_ASSERT(mapIndex < (int32_t)SIZEOF_MAPTOUCHARS);
-             ut->chunkOffset = u8b->mapToUChars[mapIndex] - u8b->bufStartIdx;
-             return TRUE;
-@@ -1299,4 +1307,8 @@
-         //   If index is at the end, there is no character there to look at.
-         if (ix != ut->b) {
-+            // Note: this function will only move the index back if it is on a trail byte
-+            //       and there is a preceding lead byte and the sequence from the lead 
-+            //       through this trail could be part of a valid UTF-8 sequence
-+            //       Otherwise the index remains unchanged.
-             U8_SET_CP_START(s8, 0, ix);
-         }
-@@ -1312,5 +1324,8 @@
-         uint8_t *mapToNative = u8b->mapToNative;
-         uint8_t *mapToUChars = u8b->mapToUChars;
--        int32_t  toUCharsMapStart = ix - (UTF8_TEXT_CHUNK_SIZE*3 + 1);
-+        int32_t  toUCharsMapStart = ix - SIZEOF_MAPTOUCHARS + 1;
-+        // Note that toUCharsMapStart can be negative. Happens when the remaining
-+        // text from current position to the beginning is less than the buffer size.
-+        // + 1 because mapToUChars must have a slot at the end for the bufNativeLimit entry.
-         int32_t  destIx = UTF8_TEXT_CHUNK_SIZE+2;   // Start in the overflow region
-                                                     //   at end of buffer to leave room
-@@ -1339,4 +1354,5 @@
-                 // Special case ASCII range for speed.
-                 buf[destIx] = (UChar)c;
-+                U_ASSERT(toUCharsMapStart <= srcIx);
-                 mapToUChars[srcIx - toUCharsMapStart] = (uint8_t)destIx;
-                 mapToNative[destIx] = (uint8_t)(srcIx - toUCharsMapStart);
-@@ -1368,4 +1384,5 @@
-                     mapToUChars[sIx-- - toUCharsMapStart] = (uint8_t)destIx;
-                 } while (sIx >= srcIx);
-+                U_ASSERT(toUCharsMapStart <= (srcIx+1));
- 
-                 // Set native indexing limit to be the current position.
-@@ -1542,4 +1559,5 @@
-     U_ASSERT(index<=ut->chunkNativeLimit);
-     int32_t mapIndex = index - u8b->toUCharsMapStart;
-+    U_ASSERT(mapIndex < (int32_t)SIZEOF_MAPTOUCHARS);
-     int32_t offset = u8b->mapToUChars[mapIndex] - u8b->bufStartIdx;
-     U_ASSERT(offset>=0 && offset<=ut->chunkLength);
---- test/intltest/utxttest.cpp	(revision 39670)
-+++ test/intltest/utxttest.cpp	(revision 39671)
-@@ -68,4 +68,6 @@
-         case 7: name = "Ticket12130";
-             if (exec) Ticket12130(); break;
-+        case 8: name = "Ticket12888";
-+            if (exec) Ticket12888(); break;
-         default: name = "";          break;
-     }
-@@ -1584,2 +1586,62 @@
-     utext_close(&ut);
- }
-+
-+// Ticket 12888: bad handling of illegal utf-8 containing many instances of the archaic, now illegal,
-+//               six byte utf-8 forms. Original implementation had an assumption that
-+//               there would be at most three utf-8 bytes per UTF-16 code unit.
-+//               The five and six byte sequences map to a single replacement character.
-+
-+void UTextTest::Ticket12888() {
-+    const char *badString = 
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80"
-+            "\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80\xfd\x80\x80\x80\x80\x80";
-+
-+    UErrorCode status = U_ZERO_ERROR;
-+    LocalUTextPointer ut(utext_openUTF8(NULL, badString, -1, &status));
-+    TEST_SUCCESS(status);
-+    for (;;) {
-+        UChar32 c = utext_next32(ut.getAlias());
-+        if (c == U_SENTINEL) {
-+            break;
-+        }
-+    }
-+    int32_t endIdx = utext_getNativeIndex(ut.getAlias());
-+    if (endIdx != (int32_t)strlen(badString)) {
-+        errln("%s:%d expected=%d, actual=%d", __FILE__, __LINE__, strlen(badString), endIdx);
-+        return;
-+    }
-+
-+    for (int32_t prevIndex = endIdx; prevIndex>0;) {
-+        UChar32 c = utext_previous32(ut.getAlias());
-+        int32_t currentIndex = utext_getNativeIndex(ut.getAlias());
-+        if (c != 0xfffd) {
-+            errln("%s:%d (expected, actual, index) = (%d, %d, %d)\n",
-+                    __FILE__, __LINE__, 0xfffd, c, currentIndex);
-+            break;
-+        }
-+        if (currentIndex != prevIndex - 6) {
-+            errln("%s:%d: wrong index. Expected, actual = %d, %d",
-+                    __FILE__, __LINE__, prevIndex - 6, currentIndex);
-+            break;
-+        }
-+        prevIndex = currentIndex;
-+    }
-+}
---- test/intltest/utxttest.h	(revision 39670)
-+++ test/intltest/utxttest.h	(revision 39671)
-@@ -39,4 +39,5 @@
-     void Ticket10983();
-     void Ticket12130();
-+    void Ticket12888();
- 
- private:
diff --git a/devel/liblightgrep/Portfile b/devel/liblightgrep/Portfile
index 27fbb5d248..0704691482 100644
--- a/devel/liblightgrep/Portfile
+++ b/devel/liblightgrep/Portfile
@@ -6,7 +6,7 @@ PortGroup           cxx11 1.1
 PortGroup           github 1.0
 
 github.setup        LightboxTech liblightgrep 1.4 v
-revision            3
+revision            4
 categories          devel
 platforms           darwin
 maintainers         nomaintainer
diff --git a/devel/libphonenumber-cpp/Portfile b/devel/libphonenumber-cpp/Portfile
index 481ba90fe0..eac0debe7e 100644
--- a/devel/libphonenumber-cpp/Portfile
+++ b/devel/libphonenumber-cpp/Portfile
@@ -6,6 +6,8 @@ PortGroup           cxx11 1.1
 PortGroup           github 1.0
 
 github.setup        googlei18n libphonenumber 8.9.16 v
+revision            1
+
 name                libphonenumber-cpp
 license             Apache-2
 description         Google's C++ library for parsing, formatting, storing \
diff --git a/devel/nodejs4/Portfile b/devel/nodejs4/Portfile
index 152a2eb09c..39fafa2d99 100644
--- a/devel/nodejs4/Portfile
+++ b/devel/nodejs4/Portfile
@@ -5,6 +5,7 @@ PortGroup               compiler_blacklist_versions 1.0
 
 name                    nodejs4
 version                 4.9.1
+revision                1
 
 categories              devel net
 platforms               darwin
diff --git a/devel/nodejs5/Portfile b/devel/nodejs5/Portfile
index ea48eb7183..25095af8b9 100644
--- a/devel/nodejs5/Portfile
+++ b/devel/nodejs5/Portfile
@@ -5,7 +5,7 @@ PortGroup               compiler_blacklist_versions 1.0
 
 name                    nodejs5
 version                 5.12.0
-revision                1
+revision                2
 
 categories              devel net
 platforms               darwin
diff --git a/devel/nodejs6/Portfile b/devel/nodejs6/Portfile
index 208b77d00c..472ad48699 100644
--- a/devel/nodejs6/Portfile
+++ b/devel/nodejs6/Portfile
@@ -5,6 +5,7 @@ PortGroup               compiler_blacklist_versions 1.0
 
 name                    nodejs6
 version                 6.14.4
+revision                1
 
 categories              devel net
 platforms               darwin
diff --git a/devel/nodejs7/Portfile b/devel/nodejs7/Portfile
index c196c782c6..85451bf649 100644
--- a/devel/nodejs7/Portfile
+++ b/devel/nodejs7/Portfile
@@ -5,6 +5,7 @@ PortGroup               compiler_blacklist_versions 1.0
 
 name                    nodejs7
 version                 7.10.1
+revision                1
 
 categories              devel net
 platforms               darwin
diff --git a/devel/nodejs8/Portfile b/devel/nodejs8/Portfile
index 8594864ffe..b7f6fceada 100644
--- a/devel/nodejs8/Portfile
+++ b/devel/nodejs8/Portfile
@@ -5,6 +5,7 @@ PortGroup               compiler_blacklist_versions 1.0
 
 name                    nodejs8
 version                 8.12.0
+revision                1
 
 categories              devel net
 platforms               darwin
diff --git a/devel/nodejs9/Portfile b/devel/nodejs9/Portfile
index 61a6ddf4e0..38e62cb7af 100644
--- a/devel/nodejs9/Portfile
+++ b/devel/nodejs9/Portfile
@@ -5,6 +5,7 @@ PortGroup               compiler_blacklist_versions 1.0
 
 name                    nodejs9
 version                 9.11.2
+revision                1
 
 categories              devel net
 platforms               darwin
diff --git a/games/enigma/Portfile b/games/enigma/Portfile
index 7fba94fcdb..1039379aa3 100644
--- a/games/enigma/Portfile
+++ b/games/enigma/Portfile
@@ -8,6 +8,7 @@ subport                 enigma-devel {}
 if {${subport} eq "enigma"} {
     conflicts               enigma-devel
     version                 1.21
+    revision                1
     master_sites            sourceforge:project/enigma-game/Release%20${version}/
     checksums               rmd160  7942dd2acc1e21cb40200a9ae767a4673c569a2a \
                             sha256  d872cf067d8eb560d3bb1cb17245814bc56ac3953ae1f12e2229c8eb6f82ce01 \
@@ -22,6 +23,7 @@ if {${subport} eq "enigma"} {
     
     github.setup            Enigma-Game Enigma 3864fcf29cd6a7ab89b6a2160c281ab995e5f386
     version                 20171207
+    revision                1
     checksums               rmd160  6a0186344130e79751b23ee23cf15c713dfb1cef \
                             sha256  db742a85983482aef9f223fc17c26039454f16d2ee14865b937af53e53e78d0e \
                             size    51848604
diff --git a/games/openttd/Portfile b/games/openttd/Portfile
index b832be903b..b3c311d3d4 100644
--- a/games/openttd/Portfile
+++ b/games/openttd/Portfile
@@ -12,6 +12,7 @@ maintainers         {cal @neverpanic} openmaintainer
 
 if {${name} eq ${subport}} {
     version             1.8.0
+    revision            1
     checksums           rmd160  a607e955189561cc980dffc50dec57fc9ea9b9fb \
                         sha256  c2d32d9d736d27202a020027a3729ae763f5432ae6f424891e57a4095eeb087f \
                         size    6521016
diff --git a/gis/mapnik/Portfile b/gis/mapnik/Portfile
index c7b838fb55..7fa03f716d 100644
--- a/gis/mapnik/Portfile
+++ b/gis/mapnik/Portfile
@@ -5,8 +5,10 @@ PortGroup           conflicts_build 1.0
 PortGroup           cxx11 1.1
 
 name                mapnik
+
 version             3.0.21
-revision            0
+revision            1
+
 categories          gis devel
 platforms           darwin
 license             LGPL-2.1
diff --git a/gnome/evolution-data-server/Portfile b/gnome/evolution-data-server/Portfile
index 602e2ef2c0..a366d014a2 100644
--- a/gnome/evolution-data-server/Portfile
+++ b/gnome/evolution-data-server/Portfile
@@ -6,6 +6,7 @@ PortGroup           cxx11 1.1
 
 name                evolution-data-server
 version             3.28.5
+revision            1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         Addressbook and calender libs for GNOME.
 long_description    Evolution Data Server provides a central location for \
diff --git a/graphics/harfbuzz/Portfile b/graphics/harfbuzz/Portfile
index 73eb7f333e..02bd6763b6 100644
--- a/graphics/harfbuzz/Portfile
+++ b/graphics/harfbuzz/Portfile
@@ -86,7 +86,7 @@ if {${name} eq ${subport}} {
 }
 
 subport harfbuzz-icu {
-    revision        0
+    revision        1
     
     description     HarfBuzz ICU support library
     
diff --git a/graphics/libcdr-0.1/Portfile b/graphics/libcdr-0.1/Portfile
index cfa35c814d..3d0f7590c1 100644
--- a/graphics/libcdr-0.1/Portfile
+++ b/graphics/libcdr-0.1/Portfile
@@ -6,7 +6,7 @@ PortGroup           cxx11 1.1
 name                libcdr-0.1
 set dname           libcdr
 version             0.1.4
-revision            2
+revision            3
 categories          graphics
 license             {GPL-2.1+ LGPL-2.1+ MPL-1.1+}
 maintainers         {devans @dbevans} openmaintainer
diff --git a/graphics/libcdr/Portfile b/graphics/libcdr/Portfile
index 8b4959d52f..62081f7369 100644
--- a/graphics/libcdr/Portfile
+++ b/graphics/libcdr/Portfile
@@ -4,7 +4,7 @@ PortSystem      1.0
 
 name            libcdr
 version         0.0.16
-revision        6
+revision        7
 categories      graphics
 license         {GPL-2.1+ LGPL-2.1+ MPL-1.1+}
 maintainers     {devans @dbevans} openmaintainer
diff --git a/graphics/libfreehand/Portfile b/graphics/libfreehand/Portfile
index 1f1af3a2c2..2a67e69692 100644
--- a/graphics/libfreehand/Portfile
+++ b/graphics/libfreehand/Portfile
@@ -8,6 +8,7 @@ PortGroup           compiler_blacklist_versions 1.0
 
 name                libfreehand
 version             0.1.2
+revision            1
 categories          graphics
 license             MPL-2
 maintainers         {zip.com.au:cbradney @cbradney} openmaintainer
diff --git a/graphics/libmspub/Portfile b/graphics/libmspub/Portfile
index cbd8e2613e..0415836053 100644
--- a/graphics/libmspub/Portfile
+++ b/graphics/libmspub/Portfile
@@ -8,6 +8,7 @@ PortGroup           compiler_blacklist_versions 1.0
 
 name                libmspub
 version             0.1.4
+revision            1
 categories          graphics
 license             {GPL-2.1+ LGPL-2.1+ MPL-1.1+}
 maintainers         {zip.com.au:cbradney @cbradney} openmaintainer
diff --git a/graphics/libvisio/Portfile b/graphics/libvisio/Portfile
index 593cd6259b..16e8ea9923 100644
--- a/graphics/libvisio/Portfile
+++ b/graphics/libvisio/Portfile
@@ -4,7 +4,7 @@ PortSystem              1.0
 
 name                    libvisio
 version                 0.0.24
-revision                2
+revision                3
 categories              graphics
 platforms               darwin
 maintainers             {devans @dbevans} openmaintainer
diff --git a/irc/znc/Portfile b/irc/znc/Portfile
index 5a72c0c9ee..a26f780795 100644
--- a/irc/znc/Portfile
+++ b/irc/znc/Portfile
@@ -5,6 +5,7 @@ PortGroup           cxx11 1.1
 
 name                znc
 version             1.7.1
+revision            1
 categories          irc
 platforms           darwin
 maintainers         nomaintainer
diff --git a/lang/mozjs52/Portfile b/lang/mozjs52/Portfile
index a87588df85..9de7a253d4 100644
--- a/lang/mozjs52/Portfile
+++ b/lang/mozjs52/Portfile
@@ -6,6 +6,7 @@ PortGroup           compiler_blacklist_versions 1.0
 
 name                mozjs52
 version             52.6.0
+revision            1
 categories          lang
 platforms           darwin
 license             {MPL-2 LGPL-2.1+}
diff --git a/lang/parrot/Portfile b/lang/parrot/Portfile
index 48ea2d940e..8ab48bba37 100644
--- a/lang/parrot/Portfile
+++ b/lang/parrot/Portfile
@@ -4,7 +4,7 @@ PortSystem              1.0
 
 name                    parrot
 version                 7.0.2
-revision                1
+revision                2
 categories              lang devel
 license                 Artistic-2
 maintainers             nomaintainer
diff --git a/lang/php/Portfile b/lang/php/Portfile
index 6cbf2ef89f..09020c8319 100644
--- a/lang/php/Portfile
+++ b/lang/php/Portfile
@@ -765,9 +765,9 @@ subport ${php}-imap {
 if {[vercmp ${branch} 5.3] >= 0} {
 subport ${php}-intl {
     switch -- ${version} {
-        5.3.29              {revision 3}
-        5.4.45              {revision 1}
-        5.5.38              {revision 1}
+        5.3.29              {revision 4}
+        5.4.45              {revision 2}
+        5.5.38              {revision 2}
     }
     
     categories-append       devel
diff --git a/lang/v8/Portfile b/lang/v8/Portfile
index 62b4b58a44..95fe64806f 100644
--- a/lang/v8/Portfile
+++ b/lang/v8/Portfile
@@ -4,7 +4,7 @@ PortSystem              1.0
 
 name                    v8
 version                 3.23.17.23
-revision                3
+revision                4
 
 platforms               darwin
 supported_archs         i386 x86_64
diff --git a/mail/postfix/Portfile b/mail/postfix/Portfile
index f5e753b2a3..ff171c8557 100644
--- a/mail/postfix/Portfile
+++ b/mail/postfix/Portfile
@@ -2,6 +2,7 @@ PortSystem  1.0
 
 name            postfix
 version         3.3.1
+revision        1
 categories      mail
 license         {IBMPL-1 EPL-2}
 maintainers     {jmr @jmroot} openmaintainer
diff --git a/math/R/Portfile b/math/R/Portfile
index bdc3862dd7..a9d7e8a3d6 100644
--- a/math/R/Portfile
+++ b/math/R/Portfile
@@ -7,7 +7,7 @@ PortGroup active_variants 1.1
 name                        R
 #Remember to remove revision line when bumping version
 version                     3.5.0
-revision                    1
+revision                    2
 set branch                  [join [lrange [split ${version} .] 0 1] .]
 categories                  math science
 maintainers                 {me.com:kjell.konis @kjellpk}
diff --git a/net/yaz/Portfile b/net/yaz/Portfile
index cc8a156aa9..4956e16744 100644
--- a/net/yaz/Portfile
+++ b/net/yaz/Portfile
@@ -4,7 +4,7 @@ PortSystem 1.0
 
 name                yaz
 version             5.16.0
-revision            2
+revision            3
 categories          net databases devel
 platforms           darwin
 license             BSD
diff --git a/python/py-pyicu/Portfile b/python/py-pyicu/Portfile
index 4275dde962..ab77a324d7 100644
--- a/python/py-pyicu/Portfile
+++ b/python/py-pyicu/Portfile
@@ -5,6 +5,7 @@ PortGroup           python 1.0
 
 name                py-pyicu
 version             2.1
+revision            1
 categories-append   textproc
 platforms           darwin
 maintainers         nomaintainer
diff --git a/tex/texlive-bin/Portfile b/tex/texlive-bin/Portfile
index cfe049baab..56e9ffd9ff 100644
--- a/tex/texlive-bin/Portfile
+++ b/tex/texlive-bin/Portfile
@@ -11,7 +11,7 @@ PortGroup       muniversal 1.0
 
 name            texlive-bin
 version         2018.47642
-revision        7
+revision        8
 
 categories      tex
 maintainers     {dports @drkp}
diff --git a/textproc/cicada/Portfile b/textproc/cicada/Portfile
index 4583991b26..e329d84446 100644
--- a/textproc/cicada/Portfile
+++ b/textproc/cicada/Portfile
@@ -5,7 +5,7 @@ PortGroup           mpi 1.0
 
 name                cicada
 version             0.3.5
-revision            6
+revision            7
 categories          textproc
 maintainers         nomaintainer
 
diff --git a/textproc/dwdiff/Portfile b/textproc/dwdiff/Portfile
index b5fad41bb6..c452b98d4e 100644
--- a/textproc/dwdiff/Portfile
+++ b/textproc/dwdiff/Portfile
@@ -4,7 +4,7 @@ PortSystem 1.0
 
 name                dwdiff
 version             2.0.9
-revision            4
+revision            5
 categories          textproc
 platforms           darwin
 maintainers         nomaintainer
diff --git a/textproc/sword/Portfile b/textproc/sword/Portfile
index ff7ba546d1..74db0ba03b 100644
--- a/textproc/sword/Portfile
+++ b/textproc/sword/Portfile
@@ -4,7 +4,7 @@ PortSystem      1.0
 
 name            sword
 version         1.7.4
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 categories      textproc
 platforms       darwin
diff --git a/textproc/vislcg3/Portfile b/textproc/vislcg3/Portfile
index 507da870ce..628f1df320 100644
--- a/textproc/vislcg3/Portfile
+++ b/textproc/vislcg3/Portfile
@@ -4,7 +4,7 @@ PortSystem              1.0
 
 name                    vislcg3
 version                 0.9.7.5129
-revision                9
+revision                10
 categories              textproc
 platforms               darwin
 maintainers             gmail.com:p.ixiemotion
diff --git a/textproc/xercesc3/Portfile b/textproc/xercesc3/Portfile
index f5aadf64fb..16cdbd2d6d 100644
--- a/textproc/xercesc3/Portfile
+++ b/textproc/xercesc3/Portfile
@@ -5,6 +5,7 @@ PortSystem          1.0
 name                xercesc3
 conflicts           xercesc
 version             3.2.2
+revision            1
 categories          textproc xml shibboleth
 maintainers         {snc @nerdling} {scantor @scantor}
 license             Apache-2
diff --git a/textproc/zorba/Portfile b/textproc/zorba/Portfile
index 999c9c6865..3178b63e98 100644
--- a/textproc/zorba/Portfile
+++ b/textproc/zorba/Portfile
@@ -5,7 +5,7 @@ PortGroup       cmake 1.0
 PortGroup       github 1.0
 
 github.setup    28msec zorba 3.1
-revision        3
+revision        4
 license         Apache-2
 categories      textproc devel
 platforms       darwin
diff --git a/www/phantomjs/Portfile b/www/phantomjs/Portfile
index dd7b0eea3f..028873e7f0 100644
--- a/www/phantomjs/Portfile
+++ b/www/phantomjs/Portfile
@@ -4,7 +4,7 @@ PortSystem          1.0
 PortGroup           bitbucket 1.0
 
 bitbucket.setup     ariya phantomjs 2.0.0
-revision            2
+revision            3
 categories          www
 license             BSD
 platforms           darwin
diff --git a/www/webkit-gtk-2.0/Portfile b/www/webkit-gtk-2.0/Portfile
index 946300ee03..603f95ff93 100644
--- a/www/webkit-gtk-2.0/Portfile
+++ b/www/webkit-gtk-2.0/Portfile
@@ -7,7 +7,7 @@ PortGroup   compiler_blacklist_versions 1.0
 
 name        webkit-gtk-2.0
 version     2.0.4
-revision    9
+revision    10
 description Apple's WebKit HTML rendering library for GTK+
 long_description ${description}
 maintainers {jeremyhu @jeremyhu}
diff --git a/www/webkit-gtk/Portfile b/www/webkit-gtk/Portfile
index a93743af3c..3bea96eba5 100644
--- a/www/webkit-gtk/Portfile
+++ b/www/webkit-gtk/Portfile
@@ -13,7 +13,7 @@ PortGroup           cxx11 1.1
 name                webkit-gtk
 epoch               2
 version             2.4.11
-revision            2
+revision            3
 description         Apple's WebKit HTML rendering library for GTK+
 long_description    ${description}
 maintainers         {jeremyhu @jeremyhu}
diff --git a/www/webkit2-gtk-devel/Portfile b/www/webkit2-gtk-devel/Portfile
index cb5338cb9d..f79526d23b 100644
--- a/www/webkit2-gtk-devel/Portfile
+++ b/www/webkit2-gtk-devel/Portfile
@@ -13,6 +13,7 @@ PortGroup           cxx11 1.1
 name                webkit2-gtk-devel
 conflicts           webkit2-gtk
 version             2.21.91
+revision            1
 description         Apple's WebKit2 HTML rendering library for GTK+3 (with optional support for GTK+2 plugins)
 long_description    ${description}
 maintainers         {jeremyhu @jeremyhu} {devans @dbevans}
diff --git a/www/webkit2-gtk/Portfile b/www/webkit2-gtk/Portfile
index 45bd6652ec..aa74219d2a 100644
--- a/www/webkit2-gtk/Portfile
+++ b/www/webkit2-gtk/Portfile
@@ -13,6 +13,7 @@ PortGroup           cxx11 1.1
 name                webkit2-gtk
 conflicts           webkit2-gtk-devel
 version             2.20.5
+revision            1
 description         Apple's WebKit2 HTML rendering library for GTK+3 (with optional support for GTK+2 plugins)
 long_description    ${description}
 maintainers         {jeremyhu @jeremyhu} {devans @dbevans}
